package org.nl.acs.log.service;

import org.nl.acs.common.base.PageInfo;
import org.nl.acs.common.base.CommonService;
import org.nl.acs.log.domain.Log;
import org.nl.acs.log.service.dto.LogDto;
import org.nl.acs.log.service.dto.LogQueryParam;
import org.springframework.data.domain.Pageable;
import java.util.List;
import java.util.Set;

/**
* @author jiaolm
* @date 2023-05-09
*/
public interface LogService extends CommonService<Log>  {

    static final String CACHE_KEY = "log";

    /**
    * 查询数据分页
    * @param query 条件
    * @param pageable 分页参数
    * @return PageInfo<LogDto>
    */
    PageInfo<LogDto> queryAll(LogQueryParam query, Pageable pageable);

    /**
    * 查询所有数据不分页
    * @param query 条件参数
    * @return List<LogDto>
    */
    List<LogDto> queryAll(LogQueryParam query);

    Log getById(String id);
    LogDto findById(String id);

    /**
     * 插入一条新数据。
     */
    int insert(LogDto resources);
    int updateById(LogDto resources);
    int removeById(String id);
    int removeByIds(Set<String> ids);

    /**
    * 导出数据
    * @param all 待导出的数据
    * @param response /
    * @throws IOException /
    */
    // void download(List<LogDto> all, HttpServletResponse response) throws IOException;
}
